org.apache.ignite.internal.processors.cache.transactions

## Class IgniteTxLocalStateAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalStateAdapter

All Implemented Interfaces:
  IgniteTxLocalState, IgniteTxState

Direct Known Subclasses:
  IgniteTxImplicitSingleStateImpl, IgniteTxStateImpl

    public abstract class IgniteTxLocalStateAdapter
    extends Object
    implements IgniteTxLocalState

### Constructor Summary

Constructors
Constructor and Description
`IgniteTxLocalStateAdapter()`

### Method Summary

Methods
`protected void` `onTxEnd(GridCacheContext cacheCtx, IgniteInternalTx tx, boolean commit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.transactions.IgniteTxLocalState

`addEntry, init, initialized, seal`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.transactions.IgniteTxState

`addActiveCache, allEntries, awaitLastFut, empty, entry, firstCacheId, hasInterceptor, hasNearCache, hasWriteKey, implicitSingle, onTxEnd, readEntries, readMap, readSet, singleCacheContext, singleWrite, stores, storeUsed, syncMode, topologyReadLock, topologyReadUnlock, unwindEvicts, validateTopology, writeEntries, writeMap, writeSet`

### Constructor Detail

#### IgniteTxLocalStateAdapter

    public IgniteTxLocalStateAdapter()

### Method Detail

#### onTxEnd

    protected final void onTxEnd(GridCacheContext cacheCtx,
               IgniteInternalTx tx,
               boolean commit)

Parameters:
  `cacheCtx` - Cache context.
  `tx` - Transaction.
  `commit` - `False` if transaction rolled back.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017